## Name

textureSamples — return the number of samples of a texture

## Declaration

`int textureSamples(` | gsampler2DMS sampler`)`;

`int textureSamples(` | gsampler2DMSArray sampler`)`;

## Parameters

`sampler`

  Specifies the sampler to which the texture is bound.

## Description

`textureSamples` returns the number of samples per texel of the texture bound to `sampler`.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
textureSamples | - | - | - | - | - | - | - | - | - | - | - | ✔

## See Also

texture, textureQueryLevels, textureQueryLod, textureSize

## Copyright

Copyright © 2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.